precision mediump float;
uniform int uIsColorFrag;//是否指定片元颜色值
uniform sampler2D sTexture;//纹理内容数据
varying vec2 vTextureCoord; //接收从顶点着色器过来的参数
varying  vec4 vColor; //接收从顶点着色器过来的参数
void main()                         
{           	
	if(uIsColorFrag==1)
	{
		gl_FragColor = vColor;//给此片元颜色值		
	}
	
	else
	{
		//给此片元从纹理中采样出颜色值            
   		gl_FragColor = texture2D(sTexture, vTextureCoord); 
	}	
   
   
}              